Bug 1204724 - CVE-2015-2672 CVE-2015-2666 kernel: various flaws [fedora-all]
Summary: CVE-2015-2672 CVE-2015-2666 kernel: various flaws [fedora-all]
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 21
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-2666 CVE-2015-2672
TreeView+ depends on / blocked
 
Reported: 2015-03-23 12:16 UTC by Vasyl Kaigorodov
Modified: 2015-04-07 07:29 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-03-29 04:31:02 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-03-23 12:16:54 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

[bug automatically created by: add-tracking-bugs]

Comment 1 Vasyl Kaigorodov 2015-03-23 12:17:00 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1204722,1204724

# Description of your update
notes=Security fix for CVE-2015-2666

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1204722,1204724

Comment 2 Vasyl Kaigorodov 2015-03-23 12:28:38 UTC
Adding parent bug 1204729 (for CVE-2015-2672).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1204724,1204722,1204729

# Description of your update
notes=Security fix for CVE-2015-2666, CVE-2015-2672

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1204724,1204722,1204729

Comment 3 Josh Boyer 2015-03-23 12:54:07 UTC
Both issues are fixed in Rawhide already.

CVE-2015-2672 is fixed in the F21 branch as the fix went into 3.19.2 with commit 8b6055fc682c2cbbdca5ff3a71af663af986f0e6.  It is missing the patch for CVE-2015-2666, however if CONFIG_CC_STACKPROTECTOR_STRONG is adequate protection for the issue then it shouldn't be impacted.

F20 needs both fixes.

Comment 4 Josh Boyer 2015-03-23 13:25:56 UTC
Fixes have been committed on all branches.  For the record, the patch for CVE-2015-2666 was added to F21 as well.

Comment 5 Fedora Update System 2015-03-24 12:01:31 UTC
kernel-3.19.2-201.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/FEDORA-2015-4457/kernel-3.19.2-201.fc21

Comment 6 Fedora Update System 2015-03-26 21:48:04 UTC
Package kernel-3.19.2-201.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.19.2-201.fc21'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4457/kernel-3.19.2-201.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-03-27 23:16:14 UTC
kernel-3.19.3-100.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.19.3-100.fc20

Comment 8 Fedora Update System 2015-03-29 04:31:02 UTC
kernel-3.19.2-201.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-04-07 07:29:12 UTC
kernel-3.19.3-100.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.